searchNodes=[{"doc":"A library that parses HTTP Accept-* headers and returns the best match based on a list of values. Examples iex&gt; conn = % Plug.Conn { req_headers : [ { &quot;accept-language&quot; , &quot;fr-CA,fr;q=0.8,en;q=0.6,en-US;q=0.4&quot; } ] } iex&gt; conn |&gt; PlugBest . best_language ( [ &quot;en&quot; , &quot;fr&quot; ] ) { &quot;fr-CA&quot; , &quot;fr&quot; , 1.0 } iex&gt; conn = % Plug.Conn { req_headers : [ { &quot;accept-language&quot; , &quot;es&quot; } ] } iex&gt; conn |&gt; PlugBest . best_language ( [ &quot;fr&quot; , &quot;ru&quot; ] ) nil iex&gt; conn = % Plug.Conn { req_headers : [ { &quot;accept-language&quot; , &quot;es&quot; } ] } iex&gt; conn |&gt; PlugBest . best_language_or_first ( [ &quot;ru&quot; , &quot;fr&quot; ] ) { &quot;ru&quot; , &quot;ru&quot; , 0.0 }","ref":"PlugBest.html","title":"PlugBest","type":"module"},{"doc":"Returns the best supported charset based on the connection Accept-Charset HTTP header. Returns nil if none is found.","ref":"PlugBest.html#best_charset/2","title":"PlugBest.best_charset/2","type":"function"},{"doc":"Returns the best supported charset based on the connection Accept-Charset HTTP header. Returns the first supported charset if none is found.","ref":"PlugBest.html#best_charset_or_first/2","title":"PlugBest.best_charset_or_first/2","type":"function"},{"doc":"Returns the best supported encoding based on the connection Accept-Encoding HTTP header. Returns nil if none is found.","ref":"PlugBest.html#best_encoding/2","title":"PlugBest.best_encoding/2","type":"function"},{"doc":"Returns the best supported encoding based on the connection Accept-Encoding HTTP header. Returns the first supported encoding if none is found.","ref":"PlugBest.html#best_encoding_or_first/2","title":"PlugBest.best_encoding_or_first/2","type":"function"},{"doc":"Returns the best supported langage based on the connection Accept-Language HTTP header. Returns nil if none is found.","ref":"PlugBest.html#best_language/2","title":"PlugBest.best_language/2","type":"function"},{"doc":"Returns the best supported langage based on the connection Accept-Language HTTP header. Returns the first supported language if none is found.","ref":"PlugBest.html#best_language_or_first/2","title":"PlugBest.best_language_or_first/2","type":"function"},{"doc":"Returns the best supported type based on the connection Accept HTTP header. Returns nil if none is found.","ref":"PlugBest.html#best_type/2","title":"PlugBest.best_type/2","type":"function"},{"doc":"Returns the best supported type based on the connection Accept HTTP header. Returns the first supported type if none is found.","ref":"PlugBest.html#best_type_or_first/2","title":"PlugBest.best_type_or_first/2","type":"function"},{"doc":"","ref":"PlugBest.html#t:value/0","title":"PlugBest.value/0","type":"type"},{"doc":"PlugBest PlugBest parses HTTP Accept-* headers and returns the best match based on a list of values.","ref":"readme.html","title":"PlugBest","type":"extras"},{"doc":"Add plug_best to the deps function in your project's mix.exs file: defp deps do [ … , { :plug_best , &quot;~&gt; 0.3&quot; } ] end Then run mix do deps.get, deps.compile inside your project's directory.","ref":"readme.html#installation","title":"PlugBest - Installation","type":"extras"},{"doc":"PlugBest currently provides eight methods: best_language/2 best_language_or_first/2 best_charset/2 best_charset_or_first/2 best_encoding/2 best_encoding_or_first/2 best_type/2 best_type_or_first/2 To find out which language is the best one to use among a list of supported languages: conn |&gt; Plug.Conn . get_req_header ( &quot;accept-language&quot; ) # =&gt; [&quot;fr-CA,fr;q=0.8,en;q=0.6,en-US;q=0.4&quot;] conn |&gt; PlugBest . best_language ( [ &quot;en&quot; , &quot;fr&quot; ] ) # =&gt; {&quot;fr-CA&quot;, &quot;fr&quot;, 1.0} If no values in the header is support, PlugBest will return the first nil . However, you can use the _or_first suffix to make it return the first value in those cases. conn |&gt; Plug.Conn . get_req_header ( &quot;accept-language&quot; ) # =&gt; [&quot;fr-CA,fr;q=0.8,en;q=0.6,en-US;q=0.4&quot;] conn |&gt; PlugBest . best_language ( [ &quot;es&quot; , &quot;ru&quot; ] ) # =&gt; nil conn |&gt; PlugBest . best_language_or_first ( [ &quot;es&quot; , &quot;ru&quot; ] ) # =&gt; {&quot;es&quot;, &quot;es&quot;, 0.0}","ref":"readme.html#usage","title":"PlugBest - Usage","type":"extras"},{"doc":"PlugBest is © 2016-2017 Rémi Prévost and may be freely distributed under the MIT license . See the LICENSE.md file for more information.","ref":"readme.html#license","title":"PlugBest - License","type":"extras"}]